- Home
- API Enriched
- Shape
- shape
- GET Detected Domains.
GET Detected Domains.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/detected_domains';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/detected_domains \ --header 'Authorization: <Authorization>'GET the detected domains data for the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Query Parameters
Section titled “Query Parameters”Length in Days to fetch domain.
List of locations if backend needs to filter with locations passed.
GET the list of high risk domains, all domains is by default.
Responses
Section titled “Responses”A successful response.
GET detected domains monitoring data.
object
object
Usage transaction count.
object
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
Detailed runtime information broken down by domain (as opposed to domain summary that is aggregated)
Client-Side defense usage details per domain.
object
Date when an action was required.
Human readable category description.
Name of the domain the details are for.
Date the domain was seen the first time (data was collected for the site)
Date the domain was seen the latest time (last time data was collected for the site)
List of location -> scripts data Location will returned only when risk filter is applied.
Location scripts pair.
object
Scripts found at the location.
Location of the scripts.
List of risk reasons in a human readable form.
Domain reputation score - the bigger the better.
Human readable status description.
“location URL -> protection flag” map.
object
object
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
object
Aggregated count.
Timestamp showing when the count was last update.
Detailed runtime information broken down by domain (as opposed to domain summary that is aggregated)
Client-Side defense usage details per domain.
object
Date when an action was required.
Human readable category description.
Name of the domain the details are for.
Date the domain was seen the first time (data was collected for the site)
Date the domain was seen the latest time (last time data was collected for the site)
List of location -> scripts data Location will returned only when risk filter is applied.
Location scripts pair.
object
Scripts found at the location.
Location of the scripts.
List of risk reasons in a human readable form.
Domain reputation score - the bigger the better.
Human readable status description.
“location URL -> protection flag” map.
object
Opaque value passed back alone with the additional calls. All filtering will stay the same.
One-indexed page number (starts from 1), page_number and page_size are optional when page_token is specified.
The maximum number of domains to return per page.
Total count of domains available at time of query, and subject to change across queries.
Total number of pages available depending upon requested page_size.
Examplegenerated
{ "customer": { "transactionCount": 1 }, "domainSummary": { "actionNeededCount": { "count": 1, "lastUpdated": "example" }, "allowedDomains": { "count": 1, "lastUpdated": "example" }, "mitigatedDomains": { "count": 1, "lastUpdated": "example" }, "totalDomains": { "count": 1, "lastUpdated": "example" } }, "domainsList": [ { "actionDate": "example", "category": "example", "domain": "example", "firstSeenDate": "example", "latestSeenDate": "example", "locations": [ { "associatedScripts": [ "example" ], "location": "example" } ], "riskReason": [ "example" ], "riskScore": 1, "status": "example" } ], "locationList": {}, "domain_summary": { "actionNeededCount": { "count": 1, "lastUpdated": "example" }, "allowedDomains": { "count": 1, "lastUpdated": "example" }, "mitigatedDomains": { "count": 1, "lastUpdated": "example" }, "totalDomains": { "count": 1, "lastUpdated": "example" } }, "domains_list": [ { "actionDate": "example", "category": "example", "domain": "example", "firstSeenDate": "example", "latestSeenDate": "example", "locations": [ { "associatedScripts": [ "example" ], "location": "example" } ], "riskReason": [ "example" ], "riskScore": 1, "status": "example" } ], "location_list": {}, "next_page_token": "example", "page_number": 1, "page_size": 1, "total_count": 1, "total_pages": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example